services:
  advagg_mod.translate_css:
    class: Drupal\advagg_mod\Asset\TranslateCss
    arguments: [ '@logger.channel.advagg',  '@config.factory' ]
  advagg_mod.defer_css:
    class: Drupal\advagg_mod\Asset\DeferCss
    arguments: [ '@config.factory' ]
  advagg_mod.defer_js:
    class: Drupal\advagg_mod\Asset\DeferJs
    arguments: [ '@config.factory', '@module_handler' ]
  advagg_mod.async_js:
    class: Drupal\advagg_mod\Asset\AsyncJs
  advagg_mod.remove_console_log:
    class: Drupal\advagg_mod\Asset\RemoveConsoleLog
  advagg_mod.init_subscriber:
    class: Drupal\advagg_mod\EventSubscriber\InitSubscriber
    tags:
      - { name: event_subscriber }
    arguments: [ '@config.factory', '@advagg_mod.translate_css', '@advagg_mod.defer_css', '@advagg_mod.async_js', '@advagg_mod.defer_js', '@advagg_mod.remove_console_log', '@file_system']
